/* Mixins */

// Font awsome

@mixin icon($icon) {
	@include icon-FontAwesome();
	content: fa-content($icon);
}

@mixin icon-FontAwesome() {
	font-family: $fa-font-family;
	font-weight: 900;
	font-style: normal;
	text-decoration: inherit;
}

// Fonts

// Font faces

@mixin font-face( $name, $path, $filename: $name, $suffix: '-webfont' , $style: normal, $weight: normal) {
	@font-face {
		font-family: "#{$name}";
		font-style: $style;
		font-weight: $weight;
		src: url( "#{$path}#{$filename}#{$suffix}.eot" );
		src: url( "#{$path}#{$filename}#{$suffix}.eot?#iefix" ) format( "embedded-opentype" ),
			url( "#{$path}#{$filename}#{$suffix}.woff" ) format( "woff" ),
			url( "#{$path}#{$filename}#{$suffix}.ttf" ) format( "truetype" ), 
			url( "#{$path}#{$filename}#{$suffix}.svg##{$name}" ) format( "svg" );
	}
}

// Google hosted fonts

@mixin googleFontImporter($family, $subset: 'latin', $weight: 400) {
  @import url(https://fonts.googleapis.com/css?family=#{$family}:#{$weight}&subset=#{$subset});
}

@mixin googleFont($family, $fallback, $weight: 400) {
  font: {
    family: #{$family}, #{$fallback};
    weight: #{$weight};
  }
}